import { STATE_DELIMITER } from './constants';
export default class State {
    constructor({ value, history, changed }) {
        this.value = value;
        this.history = history;
        this.changed = changed;
    }
    toString() {
        if (typeof this.value === 'string') {
            return this.value;
        }
        const path = [];
        let marker = this.value;
        while (true) {
            if (typeof marker === 'string') {
                path.push(marker);
                break;
            }
            const [firstKey, ...otherKeys] = Object.keys(marker);
            if (otherKeys.length) {
                return undefined;
            }
            path.push(firstKey);
            marker = marker[firstKey];
        }
        return path.join(STATE_DELIMITER);
    }
}
