export function createHistory(config) {
    if (!config.states) {
        return undefined;
    }
    const history = {};
    Object.keys(config.states).forEach(stateId => {
        const state = config.states[stateId];
        if (!state.states) {
            return;
        }
        history[stateId] = createHistory(state);
    });
    history.$current = config.initial;
    return history;
}
export function updateHistory(history, stateValue) {
    const nextHistory = Object.assign({}, history, { $current: stateValue });
    if (typeof stateValue === 'string') {
        return nextHistory;
    }
    Object.keys(stateValue).forEach(subStatePath => {
        const subHistory = history[subStatePath];
        const subStateValue = stateValue[subStatePath];
        if (typeof subHistory === 'string') {
            // this will never happen, just making TS happy
            return;
        }
        nextHistory[subStatePath] = updateHistory(subHistory, subStateValue);
    });
    return nextHistory;
}
