import { Action, StateValue, IStateNodeConfig, IHistory } from './types';
import matchesState from './matchesState';
import mapState from './mapState';
import State from './State';
declare class StateNode {
    key: string;
    id: string;
    initial?: string;
    parallel?: boolean;
    history: IHistory;
    states?: Record<string, StateNode>;
    on?: Record<string, string>;
    parent?: StateNode;
    private _events?;
    private _relativeValue;
    private _initialState;
    constructor(config: IStateNodeConfig, history?: IHistory);
    transition(state?: StateValue | State, action?: Action): State;
    next(action?: Action, history?: IHistory): StateValue | undefined;
    getInitialState(): StateValue | undefined;
    getState(relativeStateId: string): StateNode | undefined;
    readonly events: string[];
    getRelativeValue(toNode?: StateNode): StateValue;
}
declare function Machine(config: IStateNodeConfig): StateNode;
export { StateNode, Machine, State, matchesState, mapState };
