import { State, StateNode } from './index';
export declare type Action = number | string | {
    type: string;
    [key: string]: any;
};
export declare type StateKey = string | State;
export interface IStateValueMap {
    [key: string]: StateValue;
}
export declare type StateValue = string | IStateValueMap;
export interface IStateNodeConfig {
    initial?: string;
    states?: Record<string, IStateNodeConfig>;
    parallel?: boolean;
    key?: string;
    on?: Record<string, string>;
    parent?: StateNode;
}
export interface IHistory {
    $current: StateValue;
    [key: string]: IHistory | StateValue;
}
